### Method

# Malcontent SessionLimitsBuilder set_daily_limit

since: 0.14.0

#### Declaration [src]

    void
    mct_session_limits_builder_set_daily_limit (
      MctSessionLimitsBuilder* builder,
      gboolean enforced,
      unsigned int daily_limit_secs
    )

#### Description [src]

Set the session limits in `builder` to be a daily limit, where the total active session time for the user has a given limit each day.

`daily_limit_secs` must be at most `24 * 60 * 60`.

This will act in addition to any other session limits.

Available since: 0.14.0

#### Parameters

`enforced`

  Type: `gboolean`

  True if the limit type is to be enforced, false if the value is just being stored for future use without being enforced.

`daily_limit_secs`

  Type: `unsigned int`

  Maximum length for the user’s active session time each day, in seconds.